using System;
using System.Linq;

namespace _2023__05__23
{
    class Program
    {
        
        static void Osszegzes()
        {
            int[] tomb = {8, 9, 5, 4, 1};
            int n = tomb.Length;
            int osszeg = 0;

            for (int i = 0; i < n; i++)
            {
                osszeg += tomb[i];
            }
            System.Console.WriteLine($"Összeg: {osszeg}");
        }

        static void Megszamlalas()
        {
            int[] t = {9, 7, 3, 5, 4, 2, 6};
            int n = t.Length;
            int db = 0;

            for (int i = 0; i < n; i++)
            {
                if (t[i] < 5)
                {
                    db++;
                }
            }

            System.Console.WriteLine($"5-nél kisebb számok darabszáma: {db}");
        }

        static void Eldontes()
        {
            int[] t = {9, 7, 3, 5, 4, 2, 5};
            int n = t.Length;
            int ker = 5;
            bool van = false;

            for (int i = 0; i < n; i++)
            {
                if (t[i] == ker)
                {
                    van = true;
                    break;
                }
            }
            System.Console.WriteLine($"Igaz-e, hogy van 5-ös a tömbben?: {van}");
        }

        static void Feladat1()
        {
            Random rng = new Random();
            int[] tomb = new int[10];
            bool van = false;
            int szam;

            for (int i = 0; i < tomb.Length; i++)
            {
                szam = tomb[i] = rng.Next(1, 7);
                System.Console.WriteLine(szam);
            }

            foreach (int i in tomb)
            {
                if (i == 6)
                {
                    van = true;
                    break;
                }
            }

            System.Console.WriteLine($"Van-e 6-os a tömbben?: {van}");
        }

        static void Feladat2()
        {
            char[] tomb = {'a', 'e', 'i', 'o', 'u'};
            System.Console.WriteLine("Írj be egy angol szó!");
            string szo = Console.ReadLine();
            bool van = false;

            foreach (char i in szo)
            {
                if (tomb.Contains(i))
                {
                    System.Console.WriteLine("Van benne magánhangzó");
                    van = true;
                    break;
                }
            }

            if (van is not true)
            {
                System.Console.WriteLine("Nincs benne magánhangzó");   
            }
        }

        static void Main(string[] args)
        {
            Feladat2();
        }
    }

}
